OpenVDB 7.0.0

Public Member Functions | List of all members
DirichletBoundaryOp< ValueType > Struct Template Reference

Dirichlet boundary condition functor. More...

`#include <PoissonSolver.h>`

## Public Member Functions
void | operator() (const Coord &, const Coord &, ValueType &, ValueType &diag) const

## Detailed Description

### template<typename ValueType>
struct openvdb::v7_0::tools::poisson::DirichletBoundaryOp< ValueType >

Dirichlet boundary condition functor.

This is useful in describing fluid/air interfaces, where the pressure of the air is assumed to be zero.

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const Coord & | ,
|  | const Coord & | ,
|  | ValueType & | ,
|  | ValueType & | diag
| ) |  | const
| inline

The documentation for this struct was generated from the following file:

- PoissonSolver.h